import { JsonFormsRendererRegistryEntry, ControlElement } from '@jsonforms/core';
declare const controlRenderer: import("vue").DefineComponent<{
    schema: {
        required: true;
        type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
    };
    uischema: {
        required: true;
        type: import("vue").PropType<ControlElement>;
    };
    path: {
        required: true;
        type: StringConstructor;
    };
    enabled: {
        required: false;
        type: BooleanConstructor;
        default: undefined;
    };
    renderers: {
        required: boolean;
        type: import("vue").PropType<JsonFormsRendererRegistryEntry[]>;
        default: undefined;
    };
    cells: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
        default: undefined;
    };
    config: {
        required: boolean;
        type: ObjectConstructor;
        default: undefined;
    };
}, {
    control: {
        childErrors: import("ajv").ErrorObject<string, Record<string, any>, unknown>[];
        uischemas: import("@jsonforms/core").JsonFormsUISchemaRegistryEntry[];
        renderers: JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        label: string;
        description: string;
        required: boolean;
        uischema: ControlElement;
        errors: string;
        data: any;
        rootSchema: import("@jsonforms/core").JsonSchema;
        id: string;
        config: any;
        schema: import("@jsonforms/core").JsonSchema;
        enabled: boolean;
        visible: boolean;
        path: string;
    };
} & import("@jsonforms/core").DispatchPropsOfArrayControl & {
    styles: import("..").Styles;
    appliedOptions: import("vue").ComputedRef<any>;
    childUiSchema: import("vue").ComputedRef<import("@jsonforms/core").UISchemaElement>;
    childLabelForIndex: (index: number) => string;
}, unknown, {
    noData(): boolean;
}, {
    composePaths: (path1: string, path2: string) => string;
    createDefaultValue: (schema: import("@jsonforms/core").JsonSchema) => {};
    addButtonClick(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    schema?: unknown;
    uischema?: unknown;
    path?: unknown;
    enabled?: unknown;
    renderers?: unknown;
    cells?: unknown;
    config?: unknown;
} & {
    schema: import("@jsonforms/core").JsonSchema;
    uischema: ControlElement;
    path: string;
} & {
    enabled?: boolean | undefined;
    renderers?: JsonFormsRendererRegistryEntry[] | undefined;
    cells?: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[] | undefined;
    config?: Record<string, any> | undefined;
}>, {
    enabled: boolean;
    renderers: JsonFormsRendererRegistryEntry[];
    cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
    config: Record<string, any>;
}>;
export default controlRenderer;
export declare const entry: JsonFormsRendererRegistryEntry;
