import { JsonFormsRendererRegistryEntry, Layout } from '@jsonforms/core';
declare const layoutRenderer: import("vue").DefineComponent<{
    schema: {
        required: true;
        type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
    };
    uischema: {
        required: true;
        type: import("vue").PropType<Layout>;
    };
    path: {
        required: true;
        type: StringConstructor;
    };
    enabled: {
        required: false;
        type: BooleanConstructor;
        default: undefined;
    };
    renderers: {
        required: boolean;
        type: import("vue").PropType<JsonFormsRendererRegistryEntry[]>;
        default: undefined;
    };
    cells: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
        default: undefined;
    };
    config: {
        required: boolean;
        type: ObjectConstructor;
        default: undefined;
    };
}, {
    layout: {
        direction: "row" | "column";
        label: string;
        config: any;
        uischema: import("@jsonforms/core").UISchemaElement;
        schema: import("@jsonforms/core").JsonSchema;
        data: any;
        enabled: boolean;
        visible: boolean;
        path: string;
        renderers: JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
    };
} & {
    styles: import("..").Styles;
    appliedOptions: import("vue").ComputedRef<any>;
}, unknown, {
    layoutClassObject(): any;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    schema?: unknown;
    uischema?: unknown;
    path?: unknown;
    enabled?: unknown;
    renderers?: unknown;
    cells?: unknown;
    config?: unknown;
} & {
    schema: import("@jsonforms/core").JsonSchema;
    uischema: Layout;
    path: string;
} & {
    enabled?: boolean | undefined;
    renderers?: JsonFormsRendererRegistryEntry[] | undefined;
    cells?: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[] | undefined;
    config?: Record<string, any> | undefined;
}>, {
    enabled: boolean;
    renderers: JsonFormsRendererRegistryEntry[];
    cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
    config: Record<string, any>;
}>;
export default layoutRenderer;
export declare const entry: JsonFormsRendererRegistryEntry;
